package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.yjzl.TbFzycDto;
import com.mosty.base.model.entity.yjzl.TbFzyc;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbFzycService {

    @ApiOperation("新增")
    int insert(TbFzyc fzyc);

    @ApiOperation("修改")
    int fzUpdateById(TbFzyc fzyc);

    @ApiOperation("根据ID查询")
    TbFzyc queryById(String id);

    @ApiOperation("根据ID删除")
    int deleteById(String id);

    @ApiOperation("查询犯罪预测列表")
    List<TbFzyc> queryList(TbFzycDto tbFzycDto);

    @ApiOperation("查询犯罪预测列表")
    List<TbFzyc> queryListApp(TbFzycDto tbFzycDto);


    @ApiOperation("查询犯罪预测列表")
    IPage<TbFzyc> queryListPage(TbFzycDto tbFzycDto);

    @ApiOperation("已巡逻修改")
    int updateBySfxl(String id);

    @ApiOperation("查询犯罪预测数量")
    Integer getFzyjCount(String ssbmdm, String time, String sfxl);
}
